Subject: RE: Problems trying to compile V using makefile provided.
From: [email-masked] (Brendan Simon)

15 Feb 1998 18:09:47 -0800
Message-ID: <c=AU%a=_%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>,
        "'Stephen Brown'"
	 <[email-masked]>

I had trouble with case sensitivity.
From memory I had to rename VDEFS.H to vefs.h (or was it the other way
around ?)

Anyway, your problem that make does not know how to build VAPP.o.
ie. it can't find VAPP.cpp or VAPP.cxx or VAPP.cc (I can't remember the
extension the Dr. Bruce Wampler uses).  Make sure the case for the VPATH
variable matches your directory structure and that the case for your
source files matches that of the dependencies.  I would probably
recommend changing the case of all the files to lower case.

Hope this helps or gives some clues anyways,

Brendan Simon

PS. I compiled v1.16 and haven't tried the latest version so I can't
verify that it will compile but I'm very confident that it should.

>----------
>From: 	Stephen Brown[SMTP:[email-masked]]
>Sent: 	Monday, February 16, 1998 9:41 AM
>To: 	[email-masked]
>Subject: 	Problems trying to compile V using makefile provided.
>
>Hello to everyone.  I have just started using the gnu-win32 utilities,
>and have just subscribed to this group, and hope to learn from people
>alot more experienced with this package than I am.
>
>I have been trying to compile V version1.17 under gnu-win32, using a
>provided make file (below) and get the following error when running
>make.
>
>"no rule to make target 'VAPP.o', needed by '/libV.a'."
>
>I've been through the info files for make provided but can't figure out
>where the error is.  The contents of the make file are as follows, and I
>was hoping that someone could point out where the error is, as I'm not
>wonderful with complex makes at the moment, and could do with this piece
>of software working ASAP.
>
>V_INCLUDE = ../includew
>DEFINES = -D_WIN32
>C_FLAGS = -O3 -c -include v_gnuwin32_extra.h -I$(V_INCLUDE) $(DEFINES)
>
>LIBV = $(LIBRARY_PATH)/libV.a
>
>
>.SUFFIXES:.o .cpp .h
>
>.cpp.o:
> $(CC)  $(C_FLAGS) $<
>
>OBJS = VAPP.o VAWINFO.o VBASEITM.o VBASEWIN.o VBOXLBLC.o VBRUSH.o
>VBTNCMD.o
>OBJS += VCANVAS.o VCBTNCMD.o VCHKBOXC.o VCLABELC.o VCMD.o VCMDPANE.o
>VCMDPRNT.o
>OBJS += VCMDWIN.o VCOLOR.o VCOMBOC.o VCPDC.o VDEBUG.o VDIALOG.o
>VFILESEL.o VFONT.o
>OBJS += VFONTSEL.o VFRAMEC.o VICON.o VLABELC.o VLISTC.o VMEMDC.o VMENU.o
>VMODALD.o
>OBJS += VNOTICE.o VPEN.o VPROGRSC.o VRADIOC.o VREPLY.o VSLIDERC.o
>VSPINC.o VTEXTC.o
>OBJS += VTEXTCNV.o VTEXTINC.o VTHISLST.o VTIMER.o VUTIL.o VWINDC.o
>VWINDOW.o
>OBJS += VWINPRDC.o VWINPRTR.o VYNREPLY.o
>
>LIBS = -lcygwin -lcomdlg32 -lkernel32 -luser32 -ladvapi32 -lgdi32
>
>all:$(LIBV)
>
>$(LIBV):$(OBJS)
> ar r $(LIBV) $(OBJS)
>
>clean:
> rm -f *.o
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".